> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List projects in a workspace

> Returns all projects the caller has access to within the given `workspaceId`.



## OpenAPI

````yaml get /project/all/{workspaceId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /project/all/{workspaceId}:
    get:
      tags:
        - Projects
      summary: List projects in a workspace
      description: >-
        Returns all projects the caller has access to within the given
        `workspaceId`.
      operationId: getProjectsInWorkspace
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: workspaceId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        originId:
                          type: string
                        userId:
                          type: string
                        workspaceId:
                          type: string
                        name:
                          type: string
                        icon:
                          type: object
                          properties:
                            name:
                              type: string
                            color:
                              type: string
                          required:
                            - name
                            - color
                        emoji:
                          type: object
                          properties:
                            emojiStyle:
                              type: string
                            unified:
                              type: string
                          required:
                            - unified
                        reference:
                          type: string
                        description:
                          type: string
                        published:
                          type: array
                          items:
                            type: object
                            properties:
                              slug:
                                type: string
                              domain:
                                type: string
                              homepage:
                                type: string
                              password:
                                type: string
                              disabled:
                                type: boolean
                        publishedBranding:
                          type: object
                          properties:
                            company:
                              type: object
                              properties:
                                name:
                                  type: string
                                logo:
                                  type: string
                                url:
                                  type: string
                            callToAction:
                              type: object
                              properties:
                                icon:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    color:
                                      type: string
                                  required:
                                    - name
                                    - color
                                text:
                                  type: string
                                url:
                                  type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - _id
                        - userId
                        - workspaceId
                        - name
                        - createdAt
                        - updatedAt
                required:
                  - data
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````